﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace GameAtlas.Models
{
    [DataContract]
    public class Jeu
    {
        [DataMember]
        public string Nom { get; private set; }
        [DataMember]
        public int Note { get; private set; }
        [DataMember]
        public int NbTelechargement { get; private set; }
        [DataMember]
        public string Plateforme { get; private set; }
        [DataMember]
        public string Genre { get; private set; }
        [DataMember]
        public string Image { get; private set; }

        public Jeu(string nom, int note, int nbTelechargement, string plateforme, string genre, string image)
        {
            Nom = nom;
            Note = note;
            NbTelechargement = nbTelechargement;
            Plateforme = plateforme;
            Genre = genre;
            Image = image;
        }

        
    }
}
