﻿using GameAtlas.Models;
using GameAtlas.Views;
using GameAtlas.Stub;

namespace GameAtlas;

public partial class App : Application
{
	public Manager MyManager { get; private set; } = new Manager(new Stub.Stub());//new Manager(new DataContractPersistance.DataContractPers());
    public App()
	{
		MyManager.ChargerDonnees();
		InitializeComponent();

		MyManager.Persistance = new DataContractPersistance.DataContractPers();


        MainPage = new NavigationPage(new PageInscription());

		MyManager.SauvegardeDonnees();
	}
}
